Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QDir.Filter

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QDir.Filter

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QDir

    public static final class QDir.Filter

extends java.lang.Enum
implements QtEnumerator

This enum describes the filtering options available to `QDir`; e.g. for `entryList()` and `entryInfoList()`. The filter value is specified by combining values from the following list using the bitwise OR operator: Functions that use Filter enum values to filter lists of files and directories will include symbolic links to files and directories unless you set the `NoSymLinks` value.

A default constructed `QDir` will not filter out files based on their permissions, so `entryList()` and `entryInfoList()` will return all files that are readable, writable, executable, or any combination of the three. This makes the default easy to write, and at the same time useful.

For example, setting the `Readable`, `Writable`, and `Files` flags allows all files to be listed for which the application has read access, write access or both. If the `Dirs` and `Drives` flags are also included in this combination then all drives, directories, all files that the application can read, write, or execute, and symlinks to such files/directories can be listed.

To retrieve the permissons for a directory, use the `entryInfoList()` function to get the associated `QFileInfo` objects and then use the QFileInfo::permissons() to obtain the permissions and ownership for each file.

See Also:
  Serialized Form

Field Summary
`static QDir.Filter` | `AccessMask`
`static QDir.Filter` | `AllDirs` List all directories; i.e.
`static QDir.Filter` | `AllEntries` List directories, files, drives and symlinks (this does not list broken symlinks unless you specify System).
`static QDir.Filter` | `CaseSensitive` The filter should be case sensitive.
`static QDir.Filter` | `Dirs` List directories that match the filters.
`static QDir.Filter` | `Drives` List disk drives (ignored under Unix).
`static QDir.Filter` | `Executable` List files for which the application has execute access.
`static QDir.Filter` | `Files` List files.
`static QDir.Filter` | `Hidden` List hidden files (on Unix, files starting with a .).
`static QDir.Filter` | `Modified` Only list files that have been modified (ignored under Unix).
`static QDir.Filter` | `NoDotAndDotDot` Do not list the special entries "." and "..".
`static QDir.Filter` | `NoFilter`
`static QDir.Filter` | `NoSymLinks` Do not list symbolic links (ignored by operating systems that don't support symbolic links).
`static QDir.Filter` | `PermissionMask`
`static QDir.Filter` | `Readable` List files for which the application has read access.
`static QDir.Filter` | `System` List system files (on Unix, FIFOs, sockets and device files)
`static QDir.Filter` | `TypeMask`
`static QDir.Filter` | `Writable` List files for which the application has write access.

Method Summary
`static QDir.Filters` | `createQFlags(QDir.Filter[] values)` This function creates a com.trolltech.qt.core.QDir$Filters with the specified `com.trolltech.qt.core.QDir$Filter[]` QDir$Filter values set.
`static QDir.Filter` | `resolve(int value)` Returns the QDir$Filter constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QDir.Filter` | `valueOf(java.lang.String name)`
`static QDir.Filter[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Dirs

    public static final QDir.Filter Dirs

  List directories that match the filters.

### Files

    public static final QDir.Filter Files

  List files.

### Drives

    public static final QDir.Filter Drives

  List disk drives (ignored under Unix).

### NoSymLinks

    public static final QDir.Filter NoSymLinks

  Do not list symbolic links (ignored by operating systems that don't support symbolic links).

### AllEntries

    public static final QDir.Filter AllEntries

  List directories, files, drives and symlinks (this does not list broken symlinks unless you specify System).

### TypeMask

    public static final QDir.Filter TypeMask

### Readable

    public static final QDir.Filter Readable

  List files for which the application has read access. The Readable value needs to be combined with Dirs or Files.

### Writable

    public static final QDir.Filter Writable

  List files for which the application has write access. The Writable value needs to be combined with Dirs or Files.

### Executable

    public static final QDir.Filter Executable

  List files for which the application has execute access. The Executable value needs to be combined with Dirs or Files.

### PermissionMask

    public static final QDir.Filter PermissionMask

### Modified

    public static final QDir.Filter Modified

  Only list files that have been modified (ignored under Unix).

### Hidden

    public static final QDir.Filter Hidden

  List hidden files (on Unix, files starting with a .).

### System

    public static final QDir.Filter System

  List system files (on Unix, FIFOs, sockets and device files)

### AccessMask

    public static final QDir.Filter AccessMask

### AllDirs

    public static final QDir.Filter AllDirs

  List all directories; i.e. don't apply the filters to directory names.

### CaseSensitive

    public static final QDir.Filter CaseSensitive

  The filter should be case sensitive.

### NoDotAndDotDot

    public static final QDir.Filter NoDotAndDotDot

  Do not list the special entries "." and "..".

### NoFilter

    public static final QDir.Filter NoFilter

Method Detail

### values

    public static QDir.Filter[] values()

### valueOf

    public static QDir.Filter valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QDir.Filters createQFlags(QDir.Filter[] values)

  This function creates a com.trolltech.qt.core.QDir$Filters with the specified `com.trolltech.qt.core.QDir$Filter[]` QDir$Filter values set.

### resolve

    public static QDir.Filter resolve(int value)

  Returns the QDir$Filter constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD